
package eu.dnetlib.dhp.skgif.model;

import java.io.Serializable;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * @author miriam.baglioni
 * @Date 01/09/23
 */
public class Contribution implements Serializable {
	private MinPerson person;
	@JsonProperty("declared_affiliations")
	private List<String> declared_affiliation;
	private List<String> roles;
	private Integer rank;

	public MinPerson getPerson() {
		return person;
	}

	public void setPerson(MinPerson person) {
		this.person = person;
	}

	public List<String> getDeclared_affiliation() {
		return declared_affiliation;
	}

	public void setDeclared_affiliation(List<String> declared_affiliation) {
		this.declared_affiliation = declared_affiliation;
	}

	public List<String> getRoles() {
		return roles;
	}

	public void setRoles(List<String> roles) {
		this.roles = roles;
	}

	public Integer getRank() {
		return rank;
	}

	public void setRank(Integer rank) {
		this.rank = rank;
	}
}
